<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."advanced_project_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."advanced_project_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."advanced_project_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['apm100'];
$inf_description = $locale['apm101'];
$inf_version = "1.0";
$inf_developer = "Nick56";
$inf_email = "giuseppe@nichelini.it";
$inf_weburl = "http://www.nichelini.it";

$inf_folder = "advanced_project_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = ""; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx103']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = ""; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "prj_comments (
   comment_id int(10) NOT NULL auto_increment,
   task_id int(10) DEFAULT '0' NOT NULL,
   user int(10),
   date datetime,
   comment text,
   PRIMARY KEY (comment_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "prj_projects (
   id int(10) NOT NULL auto_increment,
   name text,
   startdate date,
   enddate date,
   description text,
   completed tinyint(1) DEFAULT '0',
   completed_date date,
   PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable_[3] = "prj_tasks (
   task_id int(10) NOT NULL auto_increment,
   id int(10) DEFAULT '1' NOT NULL,
   title text,
   hours decimal(4,2) DEFAULT '1.00' NOT NULL,
   enddate datetime,
   description text,
   status int(1),
   person int(10) DEFAULT '1' NOT NULL,
   billable tinyint(1) DEFAULT '0' NOT NULL,
   comments tinyint(1) DEFAULT '0' NOT NULL,
   parent_id int(10) DEFAULT '0' NOT NULL,
   PRIMARY KEY (task_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "prj_comments";
$inf_droptable_[2] = "prj_projects";
$inf_droptable_[3] = "prj_tasks";

?>