<?PHP
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| ADVANCED PROJECT MANAGEMENT
+----------------------------------------------------+
| Copyright  2005 Nichelini Giuseppe	
| http://www.nichelini.it/
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once INFUSIONS."advanced_project_panel/include/functions.php";
echo "<link rel='stylesheet' href='".INFUSIONS."advanced_project_panel/css/style.css' type='text/css'>"; 

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
if (file_exists(INFUSIONS."advanced_project_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_project_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."advanced_project_panel/locale/English.php"; }

$maintitle = $locale['apm100']." - ".$locale['apm110']." (";
if (!isset($op)) { $op = "mytasks"; }
switch($op) {
	case "mytasks": 				$maintitle .= $locale['apm200']; break;
	case "addtask": 				$maintitle .= $locale['apm201']; break;
	case "listprojects": 			$maintitle .= $locale['apm202']; break;
	case "projectdetail": 			$maintitle .= $locale['apm203']; break;
	case "projectsummary": 			$maintitle .= $locale['apm204']; break;
	case "completedlist": 			$maintitle .= $locale['apm205']; break;
	case "addproject": 				$maintitle .= $locale['apm208']; break;
	case "reactivateproject": 		$maintitle .= $locale['apm210']; break;
	case "confirmprojectdelete":	$maintitle .= $locale['apm211']; break;
	case "completeproject":  		$maintitle .= $locale['apm212']; break;
	case "editproject": 			$maintitle .= $locale['apm213']; break;
	case "confirmdeletetask":		$maintitle .= $locale['apm214']; break;
	case "edittask": 				$maintitle .= $locale['apm215']; break;
	case "addcomment": 				$maintitle .= $locale['apm216']; break;
	case "editcomment":  			$maintitle .= $locale['apm215']; break;
	case "editcommentaction": 		$maintitle .= $locale['apm218']; break;
	case "deletecomment": 			$maintitle .= $locale['apm215']; break;
	case "deletecommentaction":		$maintitle .= $locale['apm217']; break;
	case "displaycomments": 		$maintitle .= $locale['apm219']; break;
	case "MngConfig": 				$maintitle .= $locale['apm220']; break;
	case "MngConfigAction":			$maintitle .= $locale['apm220']; break;
	case "About": 					$maintitle .= $locale['apm221']; break;
	default:						$maintitle .= $locale['apm200']; break;
}
$maintitle .= ")";

if (iMEMBER){
	opentable($maintitle);
	apm_toolbar();
	echo "<TABLE width='100%' cellspacing='0' cellpadding='0' border='0'>\n";
	echo "<TR><TD>";
	switch($op) {
		case "mytasks": 			tablebreak();mytasks(); break;
		case "addtask": 			tablebreak();addtask($id, $name); break;
		case "addtaskaction": 		addtaskaction($id, $name, $title, $hours, $description, $person, $notify, $billable, $parent_id); break;
		case "edittask": 			tablebreak(); edittask($task_id); break;
		case "edittaskaction": 		edittaskaction($task_id, $id, $title, $hours, $description, $person, $billable, $parent_id); break;
		case "confirmdeletetask": 	confirmdeletetask($task_id); break;
		case "deletetask": 			deletetask($task_id); break;
		case "addproject": 			addproject(); break;
		case "addprojectaction": 	addprojectaction($name, $startmonth, $startday, $startyear, $endmonth, $endday, $endyear, $comments); break;
		case "confirmprojectdelete": confirmprojectdelete($id); break;
		case "editproject": 		tablebreak(); editproject($id); break;
		case "editprojectaction": 	editprojectaction($id, $name, $startmonth, $startday, $startyear, $endmonth, $endday, $endyear, $comments); break;
		case "deleteproject": 		deleteproject($id); break;
		case "completeproject": 	completeproject($id); break;
		case "reactivateproject":	reactivateproject($id); break;
		case "listprojects": 		listprojects(); break;
		case "completedlist": 		completedlist(); break;
		case "projectdetail": 		projectdetail($id); break;
		case "projectsummary": 		projectsummary($id); break;
		case "addcomment": 			addcomment($task_id); break;
		case "addcommentaction": 	addcommentaction($task_id, $comment); break;
		case "editcomment": 		editcomment($comment_id, $task_id); break;
		case "editcommentaction": 	editcommentaction($comment_id, $comment, $task_id); break;
		case "deletecomment": 		deletecomment($comment_id, $task_id); break;
		case "deletecommentaction": deletecommentaction($comment_id, $task_id); break;
		case "displaycomments": 	display_comments($task_id); break;
		case "MngConfig": 			tablebreak();MngConfig(); break;
		case "MngConfigAction":		MngConfigAction($nr_max_index,$nr_max_items,$kb_access); break;
		case "About": 				tablebreak();About(); break;
		default: tablebreak(); mytasks(); break;
	}
	echo "</TD></TR></TABLE>\n";
	//echo "</TD></TR></TABLE>\n";
	closetable();
} else {
	opentable($locale['apm100']." - ".$locale['apm110']);
	echo "<br><p align=center><b>".$locale['apm105']."</b><br>";
	closetable();
}
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>