<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once INFUSIONS."advanced_project_panel/include/functions.php";

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
if (file_exists(INFUSIONS."advanced_project_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_project_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."advanced_project_panel/locale/English.php"; }

echo "<html>
<head>
<title>".$settings['sitename']."</title>
<style type=\"text/css\">
body { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px; }
hr { height:1px;color:#ccc; }
.small { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:11px; }
.small2 { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:11px;color:#666; }
</style>
</head>
<body>\n";
echo "<table width=100% align=left cellpadding=0 cellspacing=0 border=0 class='small'>";
echo "<tr><td><b>".$locale['apm100']." ".$locale['apm110']."</b></td></tr>\n";
echo "<tr><td><hr></td></tr>\n";
echo "<tr><td>\n";
echo "<table align=left cellpadding=0 cellspacing=0 border=0 class='small'>";
echo "<tr><td><b>".$locale['apm701']."</b></td><td>&nbsp;&nbsp;:&nbsp;&nbsp;</td><td>".$userdata['user_name']."</td></tr>\n";
echo "<tr><td><b>".$locale['apm706']."</b></td><td>&nbsp;&nbsp;:&nbsp;&nbsp;</td><td>".getuserlevel($userdata['user_level'])."</td></tr>\n";
echo "<tr><td><b>".$locale['apm704']."</b></td><td>&nbsp;&nbsp;:&nbsp;&nbsp;</td><td>".ucwords(showdate($str_data, time()))."</td></tr>\n";
echo "<tr><td><b>".$locale['apm705']."</b></td><td>&nbsp;&nbsp;:&nbsp;&nbsp;</td><td>".date($str_time,time())."</td></tr>\n";
echo "</table>\n";
echo "</td></tr>\n";
echo "<tr><td><hr></td></tr>\n";
echo "<tr><td><br><br><br></td></tr>\n";
echo "<tr><td>\n";
$user_id = $userdata['user_id'];
$result2 = dbquery("SELECT * FROM ".DB_PREFIX."prj_tasks WHERE person='$user_id' GROUP BY 'id'");
while ($open = dbarray($result2)) {
	echo "<table width=100% align=center cellpadding=3 cellspacing=1 border=1 class='small'>";
	$result3 = dbquery("SELECT * FROM ".DB_PREFIX."prj_projects WHERE id='$open[id]'");
	while ($project = dbarray($result3)) {
		echo "<table width='100%' align='center' cellpadding='3' cellspacing='1' border='1' class='small' bgcolor='#DEDEDE'>";
		echo "<tr><td valign='top' ><b>".$project['name']."</a></b></td>";
		echo "<td valign='top'>".$project['comments']."<br>";
		echo " <b>".$locale['apm535'].":</b> ",prettydate($project['startdate']),"  -  <b>".$locale['apm531'].":</b> ",prettydate($project[enddate]),"</td></tr>";
		echo "</table>";
		echo "<table width=100% align=center cellpadding=0 cellspacing=0 border=1 class='small'>";
		echo "<tr>";
		echo "<td align=center width=25%><b>".$locale['apm503']."</b></td>";
		echo "<td align=center width=60%><b>".$locale['apm504']."</b></td>";
		echo "<td align=center width=5%><b>".$locale['apm501']."</b></td>";
		echo "<td width=5% align=center><b>".$locale['apm701']."</b></td>";
		echo "</tr>";

		$result4 = dbquery("SELECT * FROM ".DB_PREFIX."prj_tasks WHERE person='".$user_id."' AND id='".$project['id']."' ORDER BY 'hours' DESC");	
		while ($task = dbarray($result4)) {
			echo "<tr>";
			echo "<td width=25%>".$task[title]."&nbsp;</td>";
			echo "<td>".nl2br($task[description])."&nbsp;</td>";
			echo "<td align=RIGHT valign=top width=5%>".$task[hours]."</td>";
			if ($task[status] == 1) { $status = "Open"; } else { $status = "Close"; }
			echo "<td align='center'>".$status."&nbsp;</td>";
			echo "</tr>";
		}
		echo "</table><br><br>";
	}
}
echo "</table></td></tr></table><br>";

echo "</body>
</html>\n";
?>